/*
 * This file is part of Alida, a Java library for 
 * Advanced Library for Integrated Development of Data Analysis Applications.
 *
 * Copyright (C) 2010 - 2013
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Fore more information on Alida, visit
 *
 *    http://www.informatik.uni-halle.de/alida/
 *
 */

/* 
 * Most recent change(s):
 * 
 * $Rev: 6237 $
 * $Date: 2012-11-14 19:10:54 +0100 (Mi, 14 Nov 2012) $
 * $Author: moeller $
 * 
 */

package de.unihalle.informatik.Alida.grappa;

import java.io.Serializable;


public class ALDGrappaCellInfo implements Serializable {

	private String nodeName = null;
	
	private Integer refID = null;
	
	public ALDGrappaCellInfo() {
		this.nodeName = null;
		this.refID = null;
	}
	
	public ALDGrappaCellInfo(String name) {
		this.nodeName = name;
	}
	
	public ALDGrappaCellInfo(String name, Integer id) {
		this.nodeName = name;
		this.refID = id;
	}
	
	public String getNodeName() {
		return this.nodeName;
	}
	
	public void setNodeName(String name) {
		this.nodeName = name;
	}

	public void setRefID(Integer id) {
		this.refID = id;
	}
	
	public Integer getRefID() {
		return this.refID;
	}
	
	public String toString() {
		return this.nodeName;
	}
	
}
